Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "edit-image",
    "input": {
      "model": "nano-banana-pro-edit",
      "prompt": "Make it look like a watercolor painting",
      "image_urls": ["https://example.com/my-photo.jpg"]
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "edit-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits30 credits
Tooledit-image

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesedit-image
input.modelstringYesnano-banana-pro-edit
input.promptstringYesDescription of the edit to apply
input.image_urlsstring[]YesArray of image URLs to edit
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "edit-image",
    "input": {
      "model": "nano-banana-pro-edit",
      "prompt": "Make it look like a watercolor painting",
      "image_urls": ["https://example.com/my-photo.jpg"]
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "edit-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}